Какую видеокарту взять для 18.04?

Выношу вопрос в отдельную тему. После установки 18.04 поверх 16.04 обнаружил что не грузится драйвер интегрированного видео nVidia 304.xxx. А для этой модели видео этот драйвер последний. То есть, для 18.04 надо поставить видео карту с более новым драйвером. Ну и чтобы при следующем апгрейде ОС он тоже работал, хотя бы лет на 5 чтобы хватило. Очевидно должен нормально работать драйвер nVidia 340.107 от 06.06.2018. Кстати, так ли это?

И что насчёт драйверов и видео AMD/ATI? Какая версия драйвера и совместимые видео карты будут работать в 18.04?

0
Boom - 19 Сентябрь, 2019 - 14:53
Изображение пользователя Boom.

Чем вам mesa3d драйвер не устраивает? Не знаю как у нвидии а у амд у железа 5-7 летней давности уже заканчивается поддержка.

0
Gourmet - 19 Сентябрь, 2019 - 17:22

Вот тем и не устраивает, что не понятно с поддержкой. Я не вижу где-либо таблицу, в которой указано что этот драйвер в 18.04 поддержит мой GPU.

0
AlexBKost - 19 Сентябрь, 2019 - 17:41

Я не вижу где-либо таблицу, в которой указано что этот драйвер в 18.04 поддержит мой GPU. а мы не видим, что там за GPU. Покажите выхлоп команды:
sudo lspci -vnn | grep -i VGA -A 18

0
Gourmet - 20 Сентябрь, 2019 - 10:06

GeForce 6150SE nForce 430

в настройках экрана доступно только разрешение 640х480, хотя 16.04 запускалась в 1920х1080

0
Boom - 19 Сентябрь, 2019 - 18:06
Изображение пользователя Boom.

Не вижу или не искал? А это кому? https://www.mesa3d.org/systems.html

0
Gourmet - 20 Сентябрь, 2019 - 10:07

Нет там ожидаемой таблицы, и по ссылкам тоже нет.

0
darkfine313 - 20 Сентябрь, 2019 - 08:47
Изображение пользователя darkfine313.

У меня на одной машине NVIDIA GTX1050Ti, на другой - AMD RX580, обе работают исправно. Для NVIDIA везде драйвера есть, под RX580 только под текущую 18.04 LTS, вероятно под следующую LTS тоже будет. Для простых релизов драйверов нет.

0
Жюстина - 20 Сентябрь, 2019 - 15:54
Изображение пользователя Жюстина.

очевидно, что не стоит заморачиваться

впервые вижу чтоб под линукс ещё и версию кубунты смотрели.... от уровня Radeon HD

0
Berg - 20 Сентябрь, 2019 - 18:02
Изображение пользователя Berg.

И что насчёт драйверов и видео AMD/ATI? Какая версия драйвера и совместимые видео карты будут работать в 18.04?
_________________________________
У ати дрова сейчас в ядре прямо, для старых карт (pre-GCN) radeon, для новых amdgpu. Работают лучше старого похеренного блоба Catalyst (для каталиста надо старый-древний xorg не выше 1.17, яхз где еще такой есть, разве что в дебиане олд стейбл), amdgpu поддерживает вместе с блобом нвидии и vulkan, на котором стим сейчас свою версию dxvk под названием proton вовсю пилит (трансляция 11-12 директа в вулкан, оч хорошая производительность). И еще, поскольку radeon и amdgpu в отличие от блоба нвидии - дрова свободные, они поддерживают такую штуку как Gallium в Mesa (нативная реализация девятого директ-икса, позволяет избежать программной трансляции d3d9 в OpenGL)
У меня карточка переходная, для нее по умолчанию radeon, но очень несложным шаманством с параметрами ядра включается и amdgpu:

VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Oland PRO [Radeon R7 240/340] (prog-if 00 [VGA controller])
Subsystem: Hightech Information System Ltd. Oland PRO [Radeon R7 240/340]
Flags: bus master, fast devsel, latency 0, IRQ 24, NUMA node 0
Memory at c0000000 (64-bit, prefetchable) [size=256M]
Memory at dffc0000 (64-bit, non-prefetchable) [size=256K]
I/O ports at e800 [size=256]
Expansion ROM at 000c0000 [disabled] [size=128K]
Capabilities:
Kernel driver in use: amdgpu
Kernel modules: radeon, amdgpu

0
Boom - 24 Сентябрь, 2019 - 12:26
Изображение пользователя Boom.

В чём прибыток этого?

-1
Gourmet - 24 Сентябрь, 2019 - 17:55

Подвернулась дёшево б/у видеокарта Asus 8500GT 512 Silent. Тоже не новьё, но она есть в списке совместимых у драйвера 340.107. С виду вообще как совершенно новая, только из блистера достали, даже заглушка на разъёме стоит. Продавец - магазин б/у, при мне её проверили в Windows 7. Всё отлично. Привёз, установил - BIOS, Setup, консольный режим в Linux, KDE в 640х480 - всё работает. Предыдущий драйвер nVidia был удалён ещё раньше. Остановил lightdm, открыл консоль, начал установку драйвера nVidia 340.107. Он предложил DKMS - я согласился, началась сборка - и потом ошибка. Установка завершилась с предложением попробовать без DKMS. Запустил установку снова, выбрал без DKMS. Началась сборка nVidia kernel driver, дошла до 100% - и опять ошибка. Установщик написал что всё есть в /var/log/nvidia-installer.log - но такого файла нет. Запустил заново установку - установщик говорит, что драйвер 340.107 уже установлен. :-O При этом dpkg -l | grep -i nvidia ничего не выдаёт. При перезагрузке X-ы слетают с сообщением об ошибке из-за неправильно настроенного драйвера видео. Чё теперь делать? Видео-карта разумеется нормальная. Почему-то криво этот драйвер работает.

Как теперь прибить этот драйвер, если его в dpkg не видно, и попробовать загрузить nouveau? Может он заработает.

PS: ЯПОНСКИЙ ГОРОДОВОЙ!!! Эта 18.04 встала как-то по-идиотски. Сетевой карты почему-то вообще как-будто нет, её интерфейс нигде не настроен (в /etc/). Хотя физически сеть присутствует, и ping 8.8.8.8 проходит. Но DNS не настроен и прочие галимые чудеса. Чё теперь с ней такой дурой делать? Совершенно нет желания править в vi руками сетевые конфиги.

PS2: Поплевался, вспомнил как часами в vi правил конфиги для SlackWare в 98-м, ещё раз поплевался, поправил, получил Интернет. Сразу попробовал установить готовый драйвер

sudo apt-get install nvidia-340

и он установился. Но после перезагрузки

Plasma не может продолжить работу из-за невозможности использовать OpenGL2

пока не знаю что делать...

0
MacLeod - 24 Сентябрь, 2019 - 19:20
Изображение пользователя MacLeod.

У вас не так уж много вариантов:
а) поставить Windows и не мучиться;
б) успокоиться, сделать глубокий вдох, медленный выдох, осознать, что знания нулевые и их нужно подтянуть, в частности:
- никогда не ставить драйверы в debian производных дистрибутивах через инсталлятор nvidia без лютой необходимости, а если поставили - удалить можно через запуск инсталлятора с ключом --uninstall (навык гугления, видимо, тоже надо подтянуть);
- разобраться, что отвечает за настройку сетевых интерфейсов;
- осилить утилиты lspci, glxinfo и их выхлоп.

-2
Gourmet - 24 Сентябрь, 2019 - 22:53

Вариант а) не годится, там вообще ничего не работает из необходимого. Ну или работает, но для этого надо покупать платный компилятор Microsoft. А я этой компании принципиально из своего кармана деньги не плачу. Вариант б) близок, знания не нулевые, но и не сисадминские. 5 лет назад в Kubuntu 14.04 я ставил драйвер для встроенного nForce именно из инсталлятора nVidia. И всё работало. Удалять этот драйвер, судя по сообщениям при установке, не требуется - он в начале автоматически удаляется. Сетевые интерфейсы, как я уже сказал, я настроил. Поплевался, но настроил. Удивило, что они потерялись при установке 18.04 поверх 16.04. Там то всё было. С lspci нет проблем. Она тут не нужна. Судя по постам в сети, и glxinfo возможно тоже. Кривизна с OpenGL при установке драйвера nVidia в Kubuntu была не только у меня. И, разумеется, это не моя кривизна, мне просто негде ошибиться. Драйвер настраивает на использование OpenGL библиотек mVidia, а там что-то идёт не так. Народ тоже мучался. Поэтому более продуктивной была бы не "общепоучительная" рекомендация, а помощь от того, кто сталкивался с аналогичной проблемой, и нашёл способ её решать.

С этого момента посты, не содержащие подобную помощь, будут считаться злостным оффтопиком.

0
MacLeod - 25 Сентябрь, 2019 - 05:19
Изображение пользователя MacLeod.

Абсолютно нулевые.

С lspci нет проблем. Она тут не нужна. Судя по постам в сети, и glxinfo возможно тоже.
И намеков не понимаете. У вас модуль ядра не собрался. И данные утилиты никак не помогут это выяснить ;)

5 лет назад в Kubuntu 14.04 я ставил драйвер для встроенного nForce именно из инсталлятора nVidia. И всё работало.
Я не говорил, что он не рабочий. Я говорил, что его не надо ставить без крайний надобности, особенно когда нет никакого понимания, что он делает. Там свои скрипты, которые пытались собрать модуль ядра, корректно не отработали, вы даже не поняли почему, а теперь последствия.

И, разумеется, это не моя кривизна, мне просто негде ошибиться.
Дооо. Умудриться сдать так, чтобы кеды на проприетарной нвидии не заработали - это особое мастерство.

-1
Gourmet - 25 Сентябрь, 2019 - 17:12

Я видел, что модуль ядра не собрался - после этого запускал совсем другой инсталятор, если внимательно читать. Он удаляет предыдущую установку. Если скрипты не сработали - значит это кривые скрипты. Они и умудрились сделать так, "чтобы кеды на проприетарной нвидии не заработали". Особое мастерство тех, кто написал эти кривые скрипты. И инсталятор 18.04, который угробил сетевые настройки при простом апгрейде системными средствами.

Всё, хватит мне тут оффтопить. Есть идеи как помочь - конкретные подсказки принимаются. Всё остальное - нахрен вон. У меня из-за дыр в инсталяторе и кривого драйвера основная работа встала. Мне надо быстро получить нормальный десктоп 1920х1080 и забыть все настройки на следующие 5 лет. Некогда мне ковыряться в утилитах, я системный разработчик, а не сисадмин. Мне приложения на С++/Qt5.13 делать надо и продавать. Я этим зарабатываю, а не ковырянием утилит.

0
Жюстина - 5 Октябрь, 2019 - 00:02
Изображение пользователя Жюстина.

там совсем не кривой скрипт а как раз даже на дурака.... как можно завалить dkms, я хочу это видеть.... я только один способ знаю, чтоб не было видео ) застрелить тех кто в си пользуется чужими классами )

0
darkfine313 - 26 Сентябрь, 2019 - 16:57
Изображение пользователя darkfine313.

Эта 18.04 встала как-то по-идиотски. Сетевой карты почему-то вообще как-будто нет...
Ну кстати да, у меня тоже такое бывало, что приходилось аж трижды переустанавливать релиз 18.04, то одного нет, то другого, то предустановленные приложения без объяснения причин не работают. В итоге до 18.04.2 я на KDE от OpenSuse пересидел. Причем я такие казусы видел на разных дистрибутивах. И скорее всего оно связано с аппаратной частью этого процесса. Ибо к выходу 18.04.2 у меня уже был свежий SSD и новые HDD. Хотя Suse же работала... не понятно.

-1
Gourmet - 25 Сентябрь, 2019 - 20:03

Вычистил все установки драйверов, их не видно нигде.

При загрузке предлагалось обновить много пакетов. Выполнил apt-get update и upgrade. После этого в таскбаре появился значок необходимости установки драйвера. Предложила установить драйвер оборудования, после долгих раздумий сообщила что сейчас используется Xorg с nouveau драйвером, но можно использовать драйвер nVidia 304.107. Выбрал его, она подумала, перезагрузилась. И далее при попытке запуска приложений, в том числе настроечного - приложение падает, но сообщение о невозможности использовать OpenGL не появляется.

Как и предполагал, от lspci и glxinfo мало толку. Первый показывает наличие имеющейся видеокарты, что мне и так известно. Второй падает с ошибкой Error of failed request: BadValue (integer parameter out of range for operation). Вот тут описана очень похожая проблема, вплоть до такого же падения glxinfo. Но нет, у меня

libGL.so.1 => /usr/lib/x86_64-linux-gnu/libGL.so.1

и нигде у glxinfo библиотек nVidia не видно. С чего он падает, тоже не понятно.

ЗЫ: в одном из западных форумов, в обсуждении подобной проблемы встретил такую фразу: "A the good old libGL trap?". Мдэ...

0
Жюстина - 4 Октябрь, 2019 - 23:47
Изображение пользователя Жюстина.

aptitude purge

0
Boom - 26 Сентябрь, 2019 - 14:36
Изображение пользователя Boom.

Наберите в гугле nVidia 340.107 там много рецептов есть может что и подойдёт.

0
Жюстина - 4 Октябрь, 2019 - 23:44
Изображение пользователя Жюстина.

ну хорошо, ты решил выбрать нвидию.... ничего что тактовая частота процессора и видео отличается?

ещё сильно отличается тактовая частота синхронизации шины pci ---- 16 обычно пишут )))

nv - сойдёт, видно же? ))))))))

0
Gourmet - 29 Сентябрь, 2019 - 23:14

Всё оказалось довольно забавно и неожиданно просто. Почему-то при установке 18.04... не установилось её ядро. Грузилось ядро от 16.04. Объяснить это невозможно, апгрейд делался командой sudo do-release-upgrade. После установки sudo apt install linux-generic и перезагрузки сразу экран заработал в 1920х1080. Есть правда глюки - почему-то на прямом гигабитном соединении дико тормозит и теряет связь VNC клиент (в 14.04 всё это летало без проблем).

Но самое печальное другое - здесь, на этом форме никто нормально не отреагировал. Помогли на зарубежном, без распальцовки, без маразмов типа "да ты нихрена не знаешь" - просто подсказали куда копнуть. Причины были выяснены очень быстро. Я сам даже не мог предположить, что у LTS релиза ядро при апгрейде не установилось и не загрузилось... Это как если бы Солнце вдруг не взошло вовремя.

+1
MacLeod - 1 Октябрь, 2019 - 08:00
Изображение пользователя MacLeod.

Еще раз для особо одаренных "системных разработчиков" с сумбурным и непоследовательным мышлением повторяю:
lspci -v
показала бы отсутствие загруженного модуля в разделе "Kernel module in use".
Как вам прямо говорили, у вас не собрался модуль ядра.
Не надо было истерить и включать гонорок, а выполнить указанную проверку. Также можно было дополнить
lsmod | grep nvidia
Даже ответ на вопрос почему не собралось - был выше дан прямо.

Почему-то при установке 18.04... не установилось её ядро. Грузилось ядро от 16.04. Объяснить это невозможно, апгрейд делался командой sudo do-release-upgrade... Я сам даже не мог предположить, что у LTS релиза ядро при апгрейде не установилось и не загрузилось... Это как если бы Солнце вдруг не взошло вовремя.
Ну да, конечно xD. Без Малдера и пары бабок не объяснить.
Кроме того, что пакеты ядра имеют версию в названии и не апгрейдется на пакеты с другими названиями, если на обновляемой системе не установлен мета-пакет.
Но зачем нам изучать пакетный менеджер, правда?
Да и почему он не был установлен, тут тоже загадка. Неразрешимая. Но главное, прослойка между креслом и монитором тут снова не при чем, как и в случае запуска "кривых скриптов" в обход дебиан-вэй.

После установки sudo apt install linux-generic и перезагрузки сразу экран заработал в 1920х1080.
Тут господин "разработчик" снова не понял что произошло.
Модуль не собирался из-за последствий установки версии драйвера с сайта.
Больше скажу, если бы изначально драйвер ставился при помощи пакетного менеджера - он бы заработал и со старым ядром.
Установка любого другого ядра подразумевает его чистые конфиги и подкаталоги. Это и было решением "в лоб". Если конечно, вы не "разработчик" со стажем и уверены, что "инсталлятор" из apt вычистит вручную вкоряченные изменения.

З.Ы. Заминусил посты с эмоциональным сумбуром и отсутствием конкретики, из-за сочувствия нашедшим эту тему необходимости читать эту чушь.
З.З.Ы.
Вот тут описана очень похожая проблема, вплоть до такого же падения glxinfo.
Проблема разделения зависимостей на системе с nvidia optimus (где две видеокарты: интегрированная и дискретная) и проблема несобранного модуля ядра на системе с дискретной картой (где использование библиотек от nvidia наоборот дает профит) - сходство поразительное! xD

0
Gourmet - 1 Октябрь, 2019 - 10:50

А как тут забанить тех, кто реально помочь не может или не хочет, но только выделывается постфактум, когда в их писанине нет уже никакого смысла?

0
Жюстина - 4 Октябрь, 2019 - 22:50
Изображение пользователя Жюстина.

полагаю есть bash )

Отправить комментарий

CAPTCHA на основе изображений
Введите цифры